## libpng 1.2.27-2ubuntu2.2common0sendai2

=== debian/changelog ===
libpng (1.2.27-2ubuntu2.2common0sendai2) jaunty; urgency=low

  * SECURITY UPDATE: fix integer overflow / truncation
    - debian/patches/10-CVE-2011-3026.patch: adjust pngrutil.c to verify size
      when allocating memory in png_decompress_chunk()
    - CVE-2011-3026
  * SECURITY UPDATE: denial of service and possible code execution via
    incorrect type.
    - debian/patches/11-CVE-2011-3045.patch: use correct type, properly
      handle odd chunk lengths, fix off-by-one in pngrutil.c.
    - CVE-2011-3045
  * SECURITY UPDATE: denial of service and possible code execution via
    memory corruption issue.
    - debian/patches/12-CVE-2011-3048.patch: correctly restore to previous
      condition in pngset.c.
    - CVE-2011-3048

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 06:11:50 +0900

libpng (1.2.27-2ubuntu2.2common0araneo1) jaunty; urgency=low

  * SECURITY UPDATE: denial of service via error message data
    - debian/patches/07-CVE-2011-2501.patch: correctly calculate length in
      pngerror.c.
    - CVE-2011-2501
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via crafted PNG image
    - debian/patches/08-CVE-2011-2690.patch: validate coefficients in
      pngrtran.c.
    - CVE-2011-2690
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via invalid sCAL chunks
    - debian/patches/09-CVE-2011-2692.patch: check sCAL chunk length in
      pngrutil.c.
    - CVE-2011-2692

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Thu, 03 Nov 2011 02:24:03 +0900

libpng (1.2.27-2ubuntu2.2) jaunty-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution from additional data row via
    malformed PNG image
    - debian/patches/05-CVE-2010-1205.patch: check for unexpected data
      after the last row in pngpread.c.
    - CVE-2010-1205
  * SECURITY UPDATE: denial of service via memory leak from malformed sCAL
    chunks
    - debian/patches/06-CVE-2010-2249.patch: properly free memory in
      pngrutil.c.
    - CVE-2010-2249

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Jul 2010 13:00:03 -0400

libpng (1.2.27-2ubuntu2.1) jaunty-security; urgency=low

  * SECURITY UPDATE: denial of service via decompression bomb (LP: #533140)
    - debian/patches/03-CVE-2010-0205.patch: use new two-pass decompression
      method in pngrutil.c.
    - CVE-2010-0205
  * SECURITY UPDATE: information disclosure via 1-bit interlaced images
    - debian/patches/04-CVE-2009-2042.patch: initialize memory in
      pngrutil.c.
    - CVE-2009-2042

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Mar 2010 11:00:47 -0400

libpng (1.2.27-2ubuntu2) jaunty; urgency=low

  * SECURITY UPDATE: denial of service and possible execution of arbitrary
    code via crafted image (LP: #338027)
    - debian/patches/02-CVE-2009-0040.diff: initialize pointers in pngread.c,
      pngrtans.c, pngset.c and example.c
    - CVE-2009-0040
  * SECURITY UPDATE: denial of service via incorrect memory assignment
    (LP: #324258)
    - debian/patches/02-CVE-2008-5907.diff: update pngwutil.c to properly set
      new_key to NULL string
    - CVE-2008-5907

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 05 Mar 2009 14:15:45 -0600

libpng (1.2.27-2ubuntu1) jaunty; urgency=low

  * debian/rules: Work around missing definition of ECHO.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 16 Nov 2008 11:43:54 +0100

libpng (1.2.27-2) unstable; urgency=medium

  * Fix CVE-2008-3964: off-by-one error in pngtest.c; closes: #501109 
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Oct 2008 19:45:17 +1000

libpng (1.2.27-1) unstable; urgency=low

  * New upstream release
  * Patches merged upstream:
    debian/patches/02-476669-CVE-2008-1382.diff
    debian/patches/03-404514-png.5.diff
  * Run ./autogen.sh

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Apr 2008 17:22:16 +1000

libpng (1.2.26-1) unstable; urgency=high

  * New upstream release. Closes: #431202
  * Use quilt
    Add 01-legacy.diff
  * Fix CVE-2008-1382 denial of service and possibly code execution
    Add 02-476669-CVE-2008-1382.diff
    Closes: #476669
  * Fix URL in png.5. Closes: #404514
    Add 03-404514-png.5.diff
  * Move examples to libpng12-dev. Closes: #401467
  * Fix "libpng (<= 1.2.20) contains grey-licensed code". Closes: #469126
  * Fix the following lintian issues:
    W: libpng source: debian-rules-ignores-make-clean-error line 37
    W: libpng source: substvar-source-version-is-deprecated libpng12-dev
    W: libpng source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    W: libpng12-0-udeb udeb: description-contains-homepage
    W: libpng3: description-contains-homepage
    W: libpng12-dev: description-contains-homepage
    W: libpng12-0: package-contains-empty-directory usr/bin/
    W: libpng12-0: package-contains-empty-directory usr/sbin/
    W: libpng12-0: description-contains-homepage
    W: libpng12-0: doc-base-unknown-section libpng12:22 Apps/Programming

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 20 Apr 2008 18:22:32 +1000

libpng (1.2.15~beta5-3) unstable; urgency=high

  * ACKed NMU. 
  * Fixed out-of-bounds read operations triggered by crafted
    png image files (CVE-2007-5269) (Closes: #446308).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Oct 2007 09:55:00 +1000

libpng (1.2.15~beta5-2.1) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Fixed out-of-bounds read operations triggered by crafted
    png image files (CVE-2007-5269) (Closes: #446308).

 -- Nico Golde <nion@debian.org>  Sun, 14 Oct 2007 01:12:51 +0200

libpng (1.2.15~beta5-2) unstable; urgency=high

  * It seems that a grayscale image with a malformed (bad CRC) tRNS
    chunk will crash libpng and mozilla. Closes: #424729.
    - CVE-2007-2445
      http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2007-2445
    - CERT Vulnerability Note VU#684664

