=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libpng
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 5), libtool, automake, autoconf, quilt (>= 0.40), zlib1g-dev, mawk
-Standards-Version: 3.8.0
-Homepage: http://www.libpng.org/pub/png/libpng.html
+Build-Depends: debhelper (>= 7), libtool, automake, autoconf, zlib1g-dev, mawk
+Standards-Version: 3.8.3
+Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
 Section: libs
@@ -24,7 +24,7 @@
 Package: libpng12-dev
 Section: libdevel
 Architecture: any
-Depends: libpng12-0 (= ${binary:Version}), zlib1g-dev
+Depends: ${misc:Depends}, libpng12-0 (= ${binary:Version}), zlib1g-dev
 Conflicts: libpng2-dev, libpng-dev, libpng12-0-dev, libpng2 (<< 1.0.12-3)
 Provides: libpng-dev, libpng12-0-dev, libpng3-dev
 Replaces: libpng3-dev (<= 1.2.5), libpng12-0-dev
@@ -38,7 +38,7 @@
 Package: libpng3
 Section: oldlibs
 Architecture: all
-Depends: libpng12-0 (>= 1.2.5.0-2)
+Depends: ${misc:Depends}, libpng12-0 (>= 1.2.5.0-2)
 Description: PNG library - runtime
  libpng is a library implementing an interface for reading and writing
  PNG (Portable Network Graphics) format files.
