## libpng 1.2.44

=== debian/changelog ===
libpng (1.2.44-1ubuntu3) natty; urgency=low

  * Build for multiarch.  Requires converting libpng3 from Arch: all to
    Arch: any.  
  * Drop debian/libpng12-0-udeb.dirs, which just adds a pointless empty
    directory to the udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Mar 2011 17:51:38 -0700

libpng (1.2.44-1ubuntu2) natty; urgency=low

  * Really fix debian/libpng3.links; the symlink goes in /usr/lib and the
    target in /lib, not the other way around.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 27 Feb 2011 11:21:08 -0800

libpng (1.2.44-1ubuntu1) natty; urgency=low

  * debian/libpng3.links: fix up the compat symlink to point to /lib.
    Closes: #579074, LP: #284325.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Jan 2011 13:21:17 -0800

libpng (1.2.44-1) unstable; urgency=low

  * New upstream release 
    Stop memory leak when reading a malformed sCAL chunk

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Jun 2010 13:32:43 +1000

libpng (1.2.43-1) unstable; urgency=high

  * New upstream release 
  * Fix CVE-2010-0205 and Cert VU#576029
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0205
    https://www.kb.cert.org/vuls/id/576029
    Do not stall and consume large quantities of memory while processing
    certain Portable Network Graphics (PNG) files
    Closes: 572308

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 03 Mar 2010 16:44:47 +1100

libpng (1.2.42-2) unstable; urgency=low

  * Merge 1.2.42-1ubuntu1
    Move libpng from /usr/lib to /lib, so that plymouth is usable on
    systems with a separate /usr.
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Feb 2010 13:09:51 +1100
