=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 7), libtool, automake, autoconf, zlib1g-dev, mawk
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 8.1.2ubuntu2), libtool, automake, autoconf, zlib1g-dev, mawk
+Standards-Version: 3.8.4
 Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
@@ -14,6 +14,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpng12-dev (<= 1.2.8rel-7), mzscheme (<= 1:209-5), pngcrush (<= 1.5.10-2), pngmeta (<= 1.11-3), qemacs (<= 0.3.1-5), povray-3.5 (<= 3.5.0c-10)
 Replaces: libpng12-dev (<= 1.2.8rel-7)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: PNG library - runtime
  libpng is a library implementing an interface for reading and writing
  PNG (Portable Network Graphics) format files.
@@ -37,8 +39,9 @@
 
 Package: libpng3
 Section: oldlibs
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}, libpng12-0 (>= 1.2.5.0-2)
+Multi-Arch: same
 Description: PNG library - runtime
  libpng is a library implementing an interface for reading and writing
  PNG (Portable Network Graphics) format files.
