=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 8.1.2ubuntu2), libtool, automake, autoconf, zlib1g-dev, mawk
-Standards-Version: 3.8.4
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: debhelper (>= 8.1.3), libtool, automake, autoconf, zlib1g-dev, mawk
+Standards-Version: 3.9.2
 Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
@@ -50,7 +50,7 @@
  transitional purposes.
 
 Package: libpng12-0-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Priority: extra
 Architecture: any
