## libpng 1.2.47

=== debian/changelog ===
libpng (1.2.47-1) unstable; urgency=low

  * New upstream version 1.2.47

    The purpose of this release is to fix the dangerous CVE-2011-3026.
    The libpng patch is different from the one that was distributed
    earlier by Chromium, in that the libpng user limit feature is not
    crippled by the patch.

    Remove 02-660026-CVE-2011-3026.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Feb 2012 12:10:18 +1100

libpng (1.2.46-5) unstable; urgency=high

  * Check for both truncation (64-bit platforms) and integer overflow
    Fix CVE-2011-3026
    Add 02-660026-CVE-2011-3026.patch
    Closes: 660026

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Feb 2012 08:21:54 +1100

libpng (1.2.46-4) unstable; urgency=low

  * Update debian/rules.
    Enabled hardened build flags. (Closes: #654149)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Jan 2012 21:23:43 +0900
