## libpng 1.2.49

=== debian/changelog ===
libpng (1.2.49-1+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches to address CVE-2015-8472.
    CVE-2015-8472: Incomplete fix for callers on png_set_PLTE. (Closes: #807112)
  * Add CVE-2015-8540.patch patch.
    CVE-2015-8540: underflow read in png_check_keyword(). (Closes: #807694)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 07 Jan 2016 20:07:15 +0100

libpng (1.2.49-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-7981.patch patch.
    CVE-2015-7981: Out-of-bounds read in png_convert_to_rfc1123.
    (Closes: #803078)
  * Add Prevent-writing-over-length-PLTE-chunk-Cosm.patch patch.
    CVE-2015-8126: Multiple buffer overflows in the png_set_PLTE and
    png_get_PLTE functions. (Closes: #805113)
  * Add Fixed-new-bug-with-CRC-error-after-reading-.patch patch.
    Fixed new bug with CRC error after reading an over-length palette.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Nov 2015 19:31:24 +0100

libpng (1.2.49-1) unstable; urgency=high

  * New upstream version 1.2.49
    - Fix CVE-2011-3048 (memory corruption flaw)
      Closes: 667475
    - Don't crash with electric fence memory debugger
      Closes: 668082
  * Merged upstream: 02-665208-CVE-2012-3045.patch 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 09 Apr 2012 12:08:13 +1000

libpng (1.2.47-2) unstable; urgency=high

  * Fix Buffer overflow
    Fix CVE-2012-3045
    Add 02-665208-CVE-2012-3045.patch
    Closes: 665208
  * Standards Version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 27 Mar 2012 12:04:46 +1100
