=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libpng
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 8.1.3), libtool, automake, autoconf, zlib1g-dev, mawk
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
